Skip to content

Adds a new feature to a product.

POST
/api/v1/provision/admin/products/{productId}/features
curl --request POST \
--url https://example.com/api/v1/provision/admin/products/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/features \
--header 'Content-Type: application/json' \
--data '{ "featureCatalogId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "moduleName": "example", "featureCode": "example", "description": "example", "value": "example", "units": "example", "featureType": "example", "enumOptions": [ { "value": "example", "description": "example" } ], "isAvailableDuringTrialPeriod": true, "isAvailableDuringGracePeriod": true, "isEnabled": true, "includeInLicenseToken": true, "canModifyValueOnEntitlement": true, "canModifyEnabledOnEntitlement": true, "missingFeatureCatalogBehavior": 1 }'
productId
required
string format: uuid

The unique identifier of the product.

The details of the feature to be added.

object
featureCatalogId
null | string format: uuid
name
string
moduleName
null | string
featureCode
string
description
null | string
value
null | string
units
null | string
featureType
One of:
null
enumOptions
Array<object>
object
value
string
description
null | string
isAvailableDuringTrialPeriod
boolean
isAvailableDuringGracePeriod
boolean
isEnabled
boolean
includeInLicenseToken
boolean
canModifyValueOnEntitlement
boolean
canModifyEnabledOnEntitlement
boolean
missingFeatureCatalogBehavior
integer
Example generated
{
"featureCatalogId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"moduleName": "example",
"featureCode": "example",
"description": "example",
"value": "example",
"units": "example",
"featureType": "example",
"enumOptions": [
{
"value": "example",
"description": "example"
}
],
"isAvailableDuringTrialPeriod": true,
"isAvailableDuringGracePeriod": true,
"isEnabled": true,
"includeInLicenseToken": true,
"canModifyValueOnEntitlement": true,
"canModifyEnabledOnEntitlement": true,
"missingFeatureCatalogBehavior": 1
}

Returns the details of the newly added feature.

object
id
string format: uuid
featureCatalogId
null | string format: uuid
featureCode
string
featurePath
null | string
moduleName
null | string
name
string
description
null | string
usageMetric
null | string
units
null | string
featureType
integer
enumOptions
Array<object>
object
value
string
description
null | string
value
null | string
version
null | string
isEnabled
boolean
includeInLicenseToken
boolean
isAvailableDuringTrialPeriod
boolean
isAvailableDuringGracePeriod
boolean
canModifyValueOnEntitlement
boolean
meterAggregationType
One of:
null
visibility
integer
isDeleted
boolean
creationTimeStamp
string format: date-time
lastUpdateTimeStamp
null | string format: date-time
revisionNumber
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/